Subject: Re: [Rfced-future] Consensus check: Issue 14: selection of chairs

From: Eliot Lear <[email-masked]>
Date: Tue, 6 Jul 2021 07:47:27 +0200

Consensus call completed.  Peter should make the tweak about staggered 
terms.

On 22.06.21 16:32, Eliot Lear wrote:
>
> Peter has added text into -01 for this in Sections 3.1.1 and 3.1.2.  
> There are three remaining issues:
>
> 1.  Adrian's point about staggered terms.  Peter will address this 
> editorially.
>
> 2. Chair removal.  A separate issue 72 has been opened for this.
>
> 3. Possible term limits for the RSAB.  A separate issue 71 has been 
> opened for this.
>
> If you have any *other* concerns about the text in the draft, please 
> say so by 6 July 2021.
>
>